Bug 640396 - Renaming a group does not cause the page view header to immediately change
Renaming a group does not cause the page view header to immediately change
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-10-05 14:13 EDT by Corey Welton
Modified: 2011-05-23 21:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-05 14:13:13 EDT
Description of problem:
When you rename a group, it does not immediately change the name displayed on the view header.  Would be a Nice To Have

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a Mixed Group called "foobar"
2.  Navigate to the summary view for this group.
3.  Edit the group name; save.
  
Actual results:
In the main content area (within the summary tab), the value changes accordingly.  However, it does not change in the header text (next to the mixed group icon)

Expected results:
 Currently if you reload the view page, it will refresh accordingly, but it would be nice if this changed as well, on the fly.

Additional info:
Probably not group-specific - likely occurs on resources too.
Comment 1 John Mazzitelli 2011-03-31 16:13:11 EDT
to confirm: this is a bug for resource renaming too
Comment 2 John Mazzitelli 2011-03-31 16:57:00 EDT
commit fec4fb5d697c886ca6ba8cb03b4686efedcb8815

now, when you change the name of a resource or group, the title bar header changes too
Comment 3 Mike Foley 2011-04-18 08:18:37 EDT
verified through interactive testing on groups and various resources
Comment 4 Corey Welton 2011-05-23 21:17:24 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:17:24 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:17:24 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:17:27 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.